Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 783486 (CVE-2020-25678, CVE-2021-20288)

Summary: <sys-cluster/ceph-{14.2.20,15.2.11,16.2.1}: multiple vulnerabilities (CVE-{2020-25678,2021-20288})
Product: Gentoo Security Reporter: John Helmert III <ajak>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: chutzpah, cluster, dlan, proth+gentoobugs
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://www.openwall.com/lists/oss-security/2021/04/14/2
Whiteboard: B4 [glsa+ cve]
Package list:
Runtime testing required: ---
Bug Depends on: 791253    
Bug Blocks:    

Description John Helmert III gentoo-dev Security 2021-04-17 19:39:49 UTC
From URL:

An authentication flaw was found in ceph. When the monitor handles
CEPHX_GET_AUTH_SESSION_KEY requests, it doesn't sanitize other_keys,
allowing key reuse. An attacker who can request a global_id can exploit the
ability of any user to request a global_id previously associated with
another user, as ceph does not force the reuse of old keys to generate new
ones. The highest threat from this vulnerability is to data confidentiality
and integrity as well as system availability.


Patches available, but not in any release as far as I can tell.
Comment 1 Larry the Git Cow gentoo-dev 2021-04-20 22:38:40 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be882ee9a9d5368b04b3087fac65808e85c0c816

commit be882ee9a9d5368b04b3087fac65808e85c0c816
Author:     Patrick McLean <chutzpah@gentoo.org>
AuthorDate: 2021-04-20 22:38:22 +0000
Commit:     Patrick McLean <chutzpah@gentoo.org>
CommitDate: 2021-04-20 22:38:31 +0000

    sys-cluster/ceph: Security version bumps (bug #783486), remove old
    
    Versions bumped to:
    - 14.2.20
    - 15.2.11
    - 16.2.1
    
    See https://docs.ceph.com/en/latest/security/CVE-2021-20288/
    
    Remove old versions.
    
    Bug: https://bugs.gentoo.org/783486
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Patrick McLean <chutzpah@gentoo.org>

 sys-cluster/ceph/Manifest                          |   7 +-
 ...{ceph-14.2.16-r3.ebuild => ceph-14.2.20.ebuild} |   2 +-
 ...{ceph-15.2.10-r1.ebuild => ceph-15.2.11.ebuild} |   0
 sys-cluster/ceph/ceph-15.2.9-r1.ebuild             | 405 ---------------------
 .../{ceph-16.2.0.ebuild => ceph-16.2.1.ebuild}     |   0
 5 files changed, 4 insertions(+), 410 deletions(-)
Comment 2 John Helmert III gentoo-dev Security 2021-04-21 00:41:48 UTC
Thanks! Please proceed with stabilization when ready.
Comment 3 NATTkA bot gentoo-dev 2021-05-24 14:48:24 UTC
Resetting sanity check; package list is empty or all packages are done.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2021-05-26 20:58:51 UTC
This issue was resolved and addressed in
 GLSA 202105-39 at https://security.gentoo.org/glsa/202105-39
by GLSA coordinator Thomas Deutschmann (whissi).